IntervalDayTimeUtils (Hive Storage API 2.1.1-pre-orc API)
Date: 2016-10-19

org.apache.hive.common.util

## Class IntervalDayTimeUtils

- java.lang.Object
- - org.apache.hive.common.util.IntervalDayTimeUtils

-     public class IntervalDayTimeUtils
      extends Object

  DateUtils. Thread-safe class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BigDecimal` | `MAX_INT_BD`
    `static int` | `NANOS_PER_SEC`
    `static BigDecimal` | `NANOS_PER_SEC_BD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntervalDayTimeUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleDateFormat` | `getDateFormat()`
    `static int` | `getIntervalDayTimeNanosFromTotalNanos(long totalNanos)`
    `static long` | `getIntervalDayTimeTotalNanos(HiveIntervalDayTime intervalDayTime)`
    `static long` | `getIntervalDayTimeTotalSecondsFromTotalNanos(long totalNanos)`
    `static int` | `parseNumericValueWithRange(String fieldName, String strVal, int minValue, int maxValue)`
    `static void` | `setIntervalDayTimeTotalNanos(HiveIntervalDayTime intervalDayTime, long totalNanos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NANOS_PER_SEC

          public static final int NANOS_PER_SEC

      See Also:
        Constant Field Values

    - #### MAX_INT_BD

          public static final BigDecimal MAX_INT_BD

    - #### NANOS_PER_SEC_BD

          public static final BigDecimal NANOS_PER_SEC_BD

  - ### Constructor Detail

    - #### IntervalDayTimeUtils

          public IntervalDayTimeUtils()

  - ### Method Detail

    - #### getDateFormat

          public static SimpleDateFormat getDateFormat()

    - #### parseNumericValueWithRange

          public static int parseNumericValueWithRange(String fieldName,
                                                       String strVal,
                                                       int minValue,
                                                       int maxValue)
                                                throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### getIntervalDayTimeTotalNanos

          public static long getIntervalDayTimeTotalNanos(HiveIntervalDayTime intervalDayTime)

    - #### setIntervalDayTimeTotalNanos

          public static void setIntervalDayTimeTotalNanos(HiveIntervalDayTime intervalDayTime,
                                                          long totalNanos)

    - #### getIntervalDayTimeTotalSecondsFromTotalNanos

          public static long getIntervalDayTimeTotalSecondsFromTotalNanos(long totalNanos)

    - #### getIntervalDayTimeNanosFromTotalNanos

          public static int getIntervalDayTimeNanosFromTotalNanos(long totalNanos)

Copyright © 2016 The Apache Software Foundation. All rights reserved.